Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.role.core
Class RoleContext

    java.lang.Object
      org.eclipse.gmt.modisco.infra.role.core.RoleContext

    public class RoleContext

extends java.lang.Object

Author:
  Gregoire Dupe

Constructor Summary
`RoleContext()`

Method Summary
`void` | `addAll(java.util.Collection<RoleSet> allRoleSets)`
`void` | `addComposedResource(Resource resource)`
`void` | `addRole(Role role)`
`void` | `addRoleSet(RoleSet roleSet)`
`void` | `clean()`
`java.lang.Object` | `get(EObject eObject, EStructuralFeature structuralFeature)`
`java.util.HashSet<Role>` | `getAppliedRoles()`
`` | `getAttributes(EObject eObject)`
`java.util.List<EClass>` | `getMetaClasses()`
`` | `getReferences(EObject eObject)`
`java.util.List<EStructuralFeature>` | `getRoleFeatures(EObject eObject)`
`java.util.List<Role>` | `getRoles(EObject eObject)`
`boolean` | `isInstance(EObject eObject, Role role)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoleContext

    public RoleContext()

Method Detail

### addComposedResource

    public void addComposedResource(Resource resource)

### addRoleSet

    public void addRoleSet(RoleSet roleSet)

  Parameters:
    `roleSet` -

### addRole

    public void addRole(Role role)

  Parameters:
    `role` -

### isInstance

    public boolean isInstance(EObject eObject,
                              Role role)
                       throws ModelQueryException

  Parameters:
    `ecorePackage` -
    `role` -
  Returns:
  Throws:
    `ModelQueryException`

### get

    public java.lang.Object get(EObject eObject,
                                EStructuralFeature structuralFeature)
                         throws ModelQueryException,
                                ModiscoRoleException

  Parameters:
    `structuralFeature` -
  Returns:
  Throws:
    `ModelQueryException`
    `ModiscoRoleException`
    `StructuralConstraintViolationException`

### getRoleFeatures

    public java.util.List<EStructuralFeature> getRoleFeatures(EObject eObject)

  Parameters:
    `eObject` -
  Returns:

### addAll

    public void addAll(java.util.Collection<RoleSet> allRoleSets)

  Parameters:
    `allRoleSets` -

### getAttributes

    public  getAttributes(EObject eObject)
                        throws ModelQueryException

  Parameters:
    `eObject` -
  Returns:
  Throws:
    `ModelQueryException`

### getReferences

    public  getReferences(EObject eObject)
                        throws ModelQueryException

  Parameters:
    `eObject` -
  Returns:
  Throws:
    `ModelQueryException`

### getMetaClasses

    public java.util.List<EClass> getMetaClasses()

  Returns:

### getRoles

    public java.util.List<Role> getRoles(EObject eObject)
                                  throws ModelQueryException

  Returns:
  Throws:
    `ModelQueryException`

### getAppliedRoles

    public java.util.HashSet<Role> getAppliedRoles()

  Returns:

### clean

    public void clean()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD